extends ../../common-templates/layout

block content
  h1 Dashboard

  if context.currentUser
    div 
      | User ID: 
      = context.currentUser.userId
    if context.currentUser.name
      p 
        | Hi there, 
        = context.currentUser.name
      p
        a.btn.btn-primary(href="/videos") Go check out the videos!
    else
      form(action="/name" method="POST")
        input(name="userId" type="hidden" value=userId)
        .form-group
          label(for="name") Name
          input#name.form-control(type="text" name="name" placeholder="name")
        button(type="submit") Name yourself!
  else
    div
      | No registered users. 
      a(href="/register") Go get you some!
